<?php   
date_default_timezone_set('America/Caracas'); // Establece la zona horaria
require("../../modelos/Administrador/Comprar_Cartones.php");
session_start();
$Comprar = new Comprar_Cartones; //Creamos nuestro objeto

//======================================================================================================//
    //Definicion de todas las variables
 $op = isset($_GET["op"]) ? limpiarCadena($_GET["op"]) : ""; // $_GET
 $proxpartida = isset($_POST["proxpartida"]) ? limpiarCadena($_POST["proxpartida"]) : "";
 $jugadores = isset($_POST["jugadores"]) ? limpiarCadena($_POST["jugadores"]) : "";
 $id_carton = isset($_POST["id_carton"]) ? limpiarCadena($_POST["id_carton"]) : "";
 $id_compra = isset($_POST["id_compra"]) ? limpiarCadena($_POST["id_compra"]) : "";
 $id_partida = isset($_POST["id_partida"]) ? limpiarCadena($_POST["id_partida"]) : "";
//Verificar si el usuario ha iniciado sesion 
 if (!isset($_SESSION['_AL_id_bingo'])) { 
    header('Location: '.$rutaBase.'login.php?Acceso_No_Permitido');
    exit;
}
$id_usuario = $_SESSION['_AL_id_bingo'];



//======================================================================================================//

switch ($op){

 case 'ListarUsuario':

    $rspta=$Comprar->listarusuario();

    echo '<option value="">Seleccione</option>';
    while ($row = $rspta->fetch_object()) {
      echo '<option value=' . $row->id . '>' . $row->usuario . '</option>';
    }
    break;

    case 'ListarCarton':

    $rspta=$Comprar->listarcarton();

    echo '<option value="">Seleccione</option>';
    while ($row = $rspta->fetch_object()) {
      echo '<option value=' . $row->carton_id . '>' . $row->carton_id . '</option>';
    }
    break;

     case 'MostrarPartidaProxima':
        $rspta=$Comprar->mostrarproxpartida();
        echo json_encode($rspta);//Retornar el resultado utilizando json
    break;

    case 'EnviarCompra':

$rspta=$Comprar->EnviarCompra($proxpartida,$jugadores,$id_carton);
echo $rspta ? "Registro exitoso" : "Error No se pudo guardar";
break;

case 'buscar':
    $rspta = $Comprar->listar();

    $data = [];
    while ($row = $rspta->fetch_assoc()) {
        $data[] = [
            "0" => $row['nombre_usuario'],
            "1" => $row['carton_id'],
            "2" => $row['id_partida'],
            "3" => '
                <div class="text-center">
                    <button class="btn btn-danger btn-custom" onclick="eliminar('.$row['id'].', '.$row['id_partida'].')"><i class="fa fa-trash"></i></button>
                </div>',
        ];
    }
    $results = [
        "sEcho" => 1,
        "iTotalRecords" => count($data),
        "iTotalDisplayRecords" => count($data),
        "aaData" => $data
    ];

    echo json_encode($results); // Retornar el resultado utilizando json
    break;
    
 case 'eliminar':
        $rspta=$Comprar->eliminar($id_compra,$id_partida);
        echo $rspta ? "Registro eliminado" : "No se pudo eliminar";
    break;

}// FIN switch
?>